Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.portlet.spi
Interface PortletInvocationContext

All Known Implementing Classes:
  AbstractPortletInvocationContext, ControllerPortletInvocationContext

    public interface PortletInvocationContext

Contract that defines what input/services the caller of a portlet container must provide.

Version:
  $Revision: 5064 $
Author:
  Julien Viet

Method Summary
`java.lang.String` | `encodeResourceURL(java.lang.String url)` Encodes the specified URL by including the session ID in it, or, if encoding is not needed, returns the URL unchanged.
`org.jboss.portal.common.util.MarkupInfo` | `getMarkupInfo()` todo : move me to client content // see if it is still needed with CC/PP Return information about the underlying http wire this invocation is performed.
`java.lang.String` | `renderURL(ContainerURL containerURL, URLFormat format)` Renders a container URL.
`void` | `renderURL(java.io.Writer writer, ContainerURL containerURL, URLFormat format)` Renders a container URL.

Method Detail

### getMarkupInfo

    org.jboss.portal.common.util.MarkupInfo getMarkupInfo()

  todo : move me to client content // see if it is still needed with CC/PP Return information about the underlying http wire this invocation is performed.

  Returns:
    the stream info

### encodeResourceURL

    java.lang.String encodeResourceURL(java.lang.String url)
                                       throws java.lang.IllegalArgumentException

  Encodes the specified URL by including the session ID in it, or, if encoding is not needed, returns the URL unchanged. The implementation of this method includes the logic to determine whether the session ID needs to be encoded in the URL. For example, if the browser supports cookies, or session tracking is turned off, URL encoding is unnecessary.

  For robust session tracking, all URLs emitted by a servlet should be run through this method. Otherwise, URL rewriting cannot be used with browsers which do not support cookies.

  Parameters:
    `url` - the url to be encoded
  Returns:
    the encoded URL if encoding is needed, the unchanged URL otherwise
  Throws:
    `java.lang.IllegalArgumentException` - if the url is not valid or null

### renderURL

    java.lang.String renderURL(ContainerURL containerURL,
                               URLFormat format)

  Renders a container URL.

  Parameters:
    `containerURL` - the portlet url
    `format` - the url format
  Returns:
    the rendered url

### renderURL

    void renderURL(java.io.Writer writer,
                   ContainerURL containerURL,
                   URLFormat format)
                   throws java.io.IOException

  Renders a container URL.

  Parameters:
    `writer` - the writer
    `containerURL` - the portlet url
    `format` - the url format
  Throws:
    `java.io.IOException` - any IOException thrown by the writer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.